ReportComponentType (gCube Reporting Modeler 1.3.0-4.2.1-125719 API)
Date: 2017-02-10

org.gcube.application.reporting.component.type

## Enum ReportComponentType

- java.lang.Object
- - java.lang.Enum<ReportComponentType>
  - - org.gcube.application.reporting.component.type.ReportComponentType

- All Implemented Interfaces:
    Serializable, Comparable<ReportComponentType>

      public enum ReportComponentType
      extends Enum<ReportComponentType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTRIBUTE`
    `BOXAREA`
    `HEADING`
    `HIDDEN`
    `IMAGE`
    `INSTRUCTION`
    `MEDIA`
    `REFERENCE`
    `RICHTEXT_INPUT`
    `SEQUENCE`
    `SEQUENCE_LIST`
    `TABLE`
    `TB_COLUMN`
    `TB_ROW`
    `TEXT_INPUT`
    `TITLE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReportComponentType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ReportComponentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ATTRIBUTE

          public static final ReportComponentType ATTRIBUTE

    - #### BOXAREA

          public static final ReportComponentType BOXAREA

    - #### HEADING

          public static final ReportComponentType HEADING

    - #### INSTRUCTION

          public static final ReportComponentType INSTRUCTION

    - #### MEDIA

          public static final ReportComponentType MEDIA

    - #### HIDDEN

          public static final ReportComponentType HIDDEN

    - #### REFERENCE

          public static final ReportComponentType REFERENCE

    - #### SEQUENCE

          public static final ReportComponentType SEQUENCE

    - #### SEQUENCE_LIST

          public static final ReportComponentType SEQUENCE_LIST

    - #### TB_ROW

          public static final ReportComponentType TB_ROW

    - #### TB_COLUMN

          public static final ReportComponentType TB_COLUMN

    - #### RICHTEXT_INPUT

          public static final ReportComponentType RICHTEXT_INPUT

    - #### TEXT_INPUT

          public static final ReportComponentType TEXT_INPUT

    - #### IMAGE

          public static final ReportComponentType IMAGE

    - #### TABLE

          public static final ReportComponentType TABLE

    - #### TITLE

          public static final ReportComponentType TITLE

  - ### Method Detail

    - #### values

          public static ReportComponentType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReportComponentType c : ReportComponentType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReportComponentType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017. All Rights Reserved.